# Class RegulationBedFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<Regulation>
org.snpeff.fileIterator.MarkerFileIterator<Regulation>
org.snpeff.fileIterator.RegulationFileIterator
org.snpeff.fileIterator.RegulationBedFileIterator

All Implemented Interfaces:
  `Iterable<Regulation>, Iterator<Regulation>`

public class RegulationBedFileIterator extends RegulationFileIterator
Opens a GFF3 file and create regulatory elements. Example of regulatory GFF file: ftp://ftp.ensembl.org/pub/release-63/regulation/homo_sapiens/AnnotatedFeatures.gff.gz References (GFF3) : http://www.sequenceontology.org/gff3.shtml

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BED_OFFSET`

### Fields inherited from class MarkerFileIterator

`createChromos, genome, ignoreChromosomeErrors, inOffset`

### Fields inherited from class FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`RegulationBedFileIterator(String fileName, String name, String cellType)`
`RegulationBedFileIterator(String fileName, Genome genome, String name, String cellType)`

## Method Summary

Modifier and Type
Method
Description
`protected Regulation`
`readNext()`
Read next element

### Methods inherited from class MarkerFileIterator

`getChromosome, getGenome, init, isIgnoreChromosomeErrors, loadMarkers, parsePosition, sanityCheckChromo, setCreateChromos, setIgnoreChromosomeErrors, setInOffset`

### Methods inherited from class FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, isDebug, iterator, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Field Details

### BED_OFFSET

public static final int BED_OFFSET

See Also:
  - Constant Field Values

## Constructor Details

### RegulationBedFileIterator

public RegulationBedFileIterator(String fileName, Genome genome, String name, String cellType)

### RegulationBedFileIterator

public RegulationBedFileIterator(String fileName, String name, String cellType)

## Method Details

### readNext

protected Regulation readNext()
Description copied from class: `FileIterator`
Read next element

Specified by:
  `readNext` in class `FileIterator<Regulation>`